<?php
/**
 * Block Patterns
 *
 * @package web_security_services
 * @since 1.0
 */

function web_security_services_register_block_patterns() {
	$web_security_services_block_pattern_categories = array(
		'web-security-services' => array( 'label' => esc_html__( 'Web Security Services', 'web-security-services' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'web-security-services' ) ),
	);

	$web_security_services_block_pattern_categories = apply_filters( 'web_security_services_web_security_services_block_pattern_categories', $web_security_services_block_pattern_categories );

	foreach ( $web_security_services_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'web_security_services_register_block_patterns', 9 );